comparison setup.py @ 2941:ccad02fc9281

use emeraldtree 0.10.0 release
author Thomas Waldmann <tw AT waldmann-edv DOT de>
date Wed, 10 Jun 2015 01:23:47 +0200
parents f09bf7d9578e
children 70d81ebcf2c5
comparison
equal deleted inserted replaced
2939:e6779224aed9 2941:ccad02fc9281
73 # 'https://github.com/mitsuhiko/werkzeug/tarball/master#egg=Werkzeug-0.9.2-dev', 73 # 'https://github.com/mitsuhiko/werkzeug/tarball/master#egg=Werkzeug-0.9.2-dev',
74 # 'https://github.com/mitsuhiko/flask/tarball/master#egg=Flask-0.11-dev', 74 # 'https://github.com/mitsuhiko/flask/tarball/master#egg=Flask-0.11-dev',
75 # 'https://bitbucket.org/thomaswaldmann/whoosh/get/default.tar.gz#egg=Whoosh-2.5.99dev', 75 # 'https://bitbucket.org/thomaswaldmann/whoosh/get/default.tar.gz#egg=Whoosh-2.5.99dev',
76 # use a pre-release and fixed flask-themes 0.2.0 as 0.1.3 does not work for flask 0.8.x: 76 # use a pre-release and fixed flask-themes 0.2.0 as 0.1.3 does not work for flask 0.8.x:
77 'https://bitbucket.org/thomaswaldmann/flask-themes/get/a87399231886.tar.gz#egg=Flask-Themes-0.2.0', 77 'https://bitbucket.org/thomaswaldmann/flask-themes/get/a87399231886.tar.gz#egg=Flask-Themes-0.2.0',
78 # use a pre-release emeraldtree (port to 2.6/2.7/3.3):
79 'https://bitbucket.org/thomaswaldmann/emeraldtree/get/tip.tar.gz#egg=emeraldtree-0.9.3dev',
80 'https://bitbucket.org/thomaswaldmann/flatland-fixes/get/bb7ecc64bf96.tar.gz#egg=flatland-0.0.3', 78 'https://bitbucket.org/thomaswaldmann/flatland-fixes/get/bb7ecc64bf96.tar.gz#egg=flatland-0.0.3',
81 ], 79 ],
82 install_requires=[ 80 install_requires=[
83 'blinker>=1.1', # event signalling (e.g. for change notification trigger) 81 'blinker>=1.1', # event signalling (e.g. for change notification trigger)
84 'docutils>=0.8.1', # reST markup processing 82 'docutils>=0.8.1', # reST markup processing
86 'Flask>=0.10', # micro framework 84 'Flask>=0.10', # micro framework
87 'Flask-Babel>=0.7', # i18n support 85 'Flask-Babel>=0.7', # i18n support
88 'Flask-Cache>=0.3.4', # caching support 86 'Flask-Cache>=0.3.4', # caching support
89 'Flask-Script==1.0.0', # scripting support 87 'Flask-Script==1.0.0', # scripting support
90 'Flask-Themes>=0.2.0', # theme support 88 'Flask-Themes>=0.2.0', # theme support
91 'emeraldtree>=0.9.3dev', # xml processing 89 'emeraldtree>=0.10.0', # xml processing
92 'flatland', # form handling 90 'flatland', # form handling
93 'Jinja2>=2.7', # template engine 91 'Jinja2>=2.7', # template engine
94 'pygments>=1.4', # src code / text file highlighting 92 'pygments>=1.4', # src code / text file highlighting
95 'Werkzeug==0.9.6', # wsgi toolkit 93 'Werkzeug==0.9.6', # wsgi toolkit
96 'pytest<2.7', # pytest is needed by unit tests (only tested with 2.5 and 2.6) 94 'pytest<2.7', # pytest is needed by unit tests (only tested with 2.5 and 2.6)